package org.wso2.carbon.device.mgt.ios.payload.beans;

import com.google.gson.Gson;
import org.wso2.carbon.device.mgt.ios.payload.exception.ProfileConfigurationException;

public abstract class CommandOperation implements Operation {

    private String UUID;

    public void setUUID(String UUID) {
        this.UUID = UUID;
    }

    public final String getUUID() {
        return UUID;
    }

    public String toJSON() throws ProfileConfigurationException {
        Gson gson = new Gson();
        return gson.toJson(this);
    }

}
